# nng_msg_alloc(3) Manual Page

## NAME

nng_msg_alloc - allocate a message

## SYNOPSIS

    #include <nng/nng.h>

    int nng_msg_alloc(nng_msg **msgp, size_t size);

## DESCRIPTION

The `nng_msg_alloc()` function allocates a new message with body length size and stores the result in msgp. Messages allocated with this function contain a body and optionally a header. They are used with receive and transmit functions.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient free memory exists to allocate a message.

## SEE ALSO

nng_msg_free(3), nng_msg_body(3), nng_msg_dup(3), nng_msg_header(3), nng_msg_header_len(3), nng_msg_len(3), nng_msg_realloc(3), nng_strerror(3), nng_msg(5), nng(7)